var canvas = document.getElementById("main-canvas");
var colorPicker = document.getElementById("color-picker");
var colorPickerInput = document.getElementById("color-picker-input");
var colorPickerValue = document.getElementById("color-picker-value");
var brushSizeInput = document.getElementById("brush-size-input");

var ctx = canvas.getContext("2d");

var mouseDown = false;
var prevMousePos = [0, 0];
var brushSize = 1;

ctx.fillStyle = "#ffffff";
ctx.fillRect(0, 0, 1200, 900);

function setColor(color){
    colorPickerValue.style.backgroundColor = color;
    ctx.fillStyle = color;
    ctx.strokeStyle = color;
}

setColor("#000000");

function drawLine(x0, y0, x1, y1) {
    ctx.beginPath();
    ctx.moveTo(x0, y0);
    ctx.lineCap = "round";
    ctx.lineWidth = brushSize;
    ctx.lineTo(x1, y1);
    ctx.stroke();
}

colorPickerInput.addEventListener("input", () => {
    setColor(colorPickerInput.value)
})

brushSizeInput.addEventListener("input", () => {
    brushSize = parseInt(brushSizeInput.value);
})

canvas.addEventListener("mousedown", (e) => {
    mouseDown = true;
})

canvas.addEventListener("mouseup", (e) => {
    mouseDown = false;
})

canvas.addEventListener("mousemove", (e) => {
    if (mouseDown) {
        drawLine(prevMousePos[0], prevMousePos[1], e.offsetX, e.offsetY);
    }
    prevMousePos = [e.offsetX, e.offsetY];
})